<!--
function checkEx(obj){
	var form_up_movie = document.forms['form_up_movie'];
	var allow_ext = new Array("avi", "mpg", "mpeg", "wmv", "asf", "flv", "mov", "mp4", "3gp", "rm", "rmvb");		
	if ((in_array(allow_ext, get_extname(obj.value)))>-1)
	{	
		form_up_movie.Submit.disabled = false;
		return true;
	}
	else
	{	
		alert(get_extname(obj.value)+" 不支持的格式，请重新选择！");
		form_up_movie.Submit.disabled = true;
		form_up_movie.reset();
		return false;
	}
}

function checkPicEx(obj){
	var modifyinfoForm = document.forms['modifyinfoForm'];
	var allow_ext = new Array("jpg","jpeg","gif");		
	if ((in_array(allow_ext, get_extname(obj.value)))>-1)
	{	
		modifyinfoForm.Submit.disabled = false;
		return true;
	}
	else
	{	
		alert(get_extname(obj.value)+" 不支持的格式，请重新选择！");
		modifyinfoForm.Submit.disabled = true;
		modifyinfoForm.reset();
		return false;
	}
}

function get_extname(s){
	var s = new String(s)
	s = s.toLowerCase();
	if ((s.lastIndexOf(".")>-1) &&((s.length-1)>s.lastIndexOf("."))) 
	{		
		return s.substring(s.lastIndexOf(".")+1);
	}
	else
	{
		return false;
	}	
}

function in_array(a, s)
{
	var s = new String(s);
	s = s.toLowerCase();
	var a = new String(a);	
	a = a.toLowerCase();
	return (","+a+",").indexOf(","+s+",");
}

function check(){
	var form_up_movie_b = document.forms['form_up_movie_b'];
	if(form_up_movie_b.movie.value.length == 0)
	{
		alert("请选择要上传的视频文件！");
		form_up_movie_b.movie.focus();
		return false;
	}	
	if(form_up_movie.Subject.value.length == 0)
	{
		alert("视频名称不能为空！");
		form_up_movie.Subject.focus();
		return false;
	}
	document.getElementById("a1").style.display = "none";
	document.getElementById("a2").style.display = "block";
	form_up_movie_b.submit();
	return false;
}

function display(){
	myRect.style.width=Math.round(myWidth/(intTotalBytes/intBytesTransferred));
	fill1.angle=Math.round(300/(intTotalBytes/intBytesTransferred));
	if(beginUploadFlg){	
		message.innerText=intBytesTransferred+"/"+intTotalBytes+","+Math.round(100/(intTotalBytes/intBytesTransferred))+"%";
	}
}
function getTop(windowHeight){
	 var top = parseInt((screen.height - windowHeight)/2-15);
	 return top;
}
	
function getLeft(windowWidth){
	 var left = parseInt((screen.width - windowWidth)/2-5);
	 return left;
}
-->